from api_events.tasks2events.default_abstract import AddEventFunctionality


class BuildResident(AddEventFunctionality):
    service_code = "SRO-FL-RES"
    related_code = "FL-RES"
    events = [
        {"function_code": "bdcba521-0116-441c-ace1-84c5b68c86c7"},
        {"function_code": "208e6273-17ef-44f0-814a-8098f816b63a"},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
